Package Details: kubernetes-bin 1.19.0-0

Git Clone URL: https://aur.archlinux.org/kubernetes-bin.git (read-only, click to copy)
Package Base: kubernetes-bin
Description: Production-Grade Container Scheduling and Management - binary version.
Upstream URL: https://kubernetes.io/
Keywords: kubernetes
Licenses: Apache
Conflicts: kubeadm-bin, kubeadm-git, kubectl, kubectl-bin, kubelet-bin, kubernetes
Provides: kube-apiserver, kube-controller-manager, kube-proxy, kube-scheduler, kubeadm, kubectl, kubelet, kubernetes
Submitter: moscar
Maintainer: None
Last Packager: TheCynicalTeam
Votes: 22
Popularity: 0.112688
First Submitted: 2017-04-29 15:27
Last Updated: 2020-10-23 14:20

Dependencies (1)

Required by (49)

Sources (6)

Latest Comments

1 2 3 4 Next › Last »

pklaus commented on 2020-07-16 22:15

The "contrib" part of this package is now deprecated (retired).
That's reflected in the changed Git repo path:
https://github.com/kubernetes-retired/contrib

As it is right now, the package is not super useful!

I'll try with another tutorial, suggesting to install kubectl-bin, kubelet-bin, kubeadm-bin and cni-plugins-bin.

grainrigi commented on 2020-03-29 07:20

This package is broken since it uses configuration files from kubernetes/contrib, which is outdated. As of v1.18.0, you should use kubelet-bin + kubeadm-bin + kubectl-bin + cni-plugins-bin instead.

emilhuseynli commented on 2019-07-16 09:18

It's crazy, but without the corrections suggested by @tunggad kube-proxy indeed doesn't start properly, as a result the iptables entries are not added and flannel-ds pod goes into CrashLoopBackoff with the error: "Failed to create SubnetManager: error retrieving pod spec for 'kube-system/kube-flannel-ds-fjn6w': Get https://10.96.0.1:443/api/v1/namespaces/kube-system/pods/kube-flannel-ds-fjn6w: dial tcp 10.96.0.1:443: i/o timeout". Inspecting the changes by @tunggad it's not obvious for me which part of it fixes the problem.

slimjim2234 commented on 2019-05-25 02:46

install: cannot stat 'docs/man/man1/*': No such file or directory

zephrax commented on 2019-04-26 12:41

==> Starting package()... install: cannot stat 'docs/man/man1/*': No such file or directory ==> ERROR: A failure occurred in package(). Aborting... Error making: kubernetes-bin

ocelot commented on 2019-04-15 02:59

Broken with latest release.

install: cannot stat 'docs/man/man1/*': No such file or directory ==> ERROR: A failure occurred in package(). Aborting... Error making: kubernetes-bin

dschaefer79 commented on 2019-04-11 12:53

When I try to install kubernetes-bin I have this error version 1.4.0

==> Entering fakeroot environment... ==> Starting package()... install: cannot stat 'docs/man/man1/*': No such file or directory ==> ERROR: A failure occurred in package(). Aborting... Error making: kubernetes-bin

snqlby commented on 2019-04-11 07:23

==> Extracting sources... -> Extracting v1.14.0.tar.gz with bsdtar -> Extracting 0.7.0.tar.gz with bsdtar -> Extracting kubernetes-bin-1.14.0.tar.gz with bsdtar ==> Removing existing $pkgdir/ directory... ==> Entering fakeroot environment... ==> Starting package()... install: cannot stat 'docs/man/man1/*': No such file or directory ==> ERROR: A failure occurred in package(). Aborting... :: Unable to build kubernetes-bin - makepkg exited with code: 4 :: kubernetes-bin has NOT been upgraded!

I can't build this.

mbazs commented on 2019-04-10 20:58

Second: antoinemartin commented on 2019-04-09 23:52

install: cannot stat 'docs/man/man1/*': No such file or directory

antoinemartin commented on 2019-04-09 21:52

Hello,

The package doesn't build anymore because the binary tarball doesn't contain the man pages anymore.

It builds again by applying the following patch:

diff --git a/PKGBUILD b/PKGBUILD index 45045c8..9cc3b69 100644 --- a/PKGBUILD +++ b/PKGBUILD @@ -58,10 +58,6 @@ package() { install -Dm755 $srcdir/kubernetes/server/bin/$bin $pkgdir/usr/bin/$bin done

  • <h1>install manpages</h1>
  • install -d $pkgdir/usr/share/man/man1/
  • <h2>install -pm 644 docs/man/man1/* $pkgdir/usr/share/man/man1</h2>

    # install the place the kubelet defaults to put volumes install -d $pkgdir/var/lib/kubelet